Subject: bug#496: 23.0.60; ispell-word becomes increasingly slower

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jun 2008 18:04:02 +0300

> From: Markus Triska <[email-masked]>
> Cc: [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> Date: Sat, 28 Jun 2008 11:25:48 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> check for memory leaks in aspell, I did:
> >> 
> >>    $ while true; do echo "test"; done | aspell -a
> >> 
> >> and in this case, aspell's memory usage seems to stay constant.
> >
> > Garbage collection?
> 
> I've received a better test case from the Aspell maintainer: 
> 
>   ( while true; do echo '!'; echo "-"; echo "%"; echo "^test"; done ) | aspell -a
> 
> According to him, it is the constant switching of modes that is causing
> a problem. He notes:
> 
>    "I have narrowed down the problem code. Technically it is not a leak
>    as the code is still reachable (according to valgrind), which makes
>    it harder to fix. I will let you know."
> 
> It is thus more an Aspell problem, but if it cannot be fixed in Aspell,
> I will look whether the Emacs side of communication can be improved.

But your test.el shows a similar problem with Ispell.  So either
Aspell and Ispell share the same problem, or Emacs still has something
to do with the slowdown.